[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Crt' (#rtl)

# TextColor

Set text color

## Declaration

Source position: crth.inc line 90

`procedure TextColor(`
`Color: Byte`
`);`

## Description

TextColor sets the foreground color to CL. CL can be one of the predefined color constants.

## Errors

None.

## See also

TextBackground |  | Set text background
HighVideo |  | Switch to highlighted text mode
LowVideo |  | Switch to low intensity colors.
NormVideo |  | Return to normal (startup) modus

## Example

    Program Example12;
    uses Crt;

    { Program to demonstrate the TextColor function. }

    begin
      WriteLn('This is written in the default color');
      TextColor(Red);
      WriteLn('This is written in Red');
      TextColor(White);
      WriteLn('This is written in White');
      TextColor(LightBlue);
      WriteLn('This is written in Light Blue');
    end.

Documentation generated on: Feb 26 2014